package com.yutou.tools.mybatis.dao;

import com.yutou.tools.mybatis.model.MusicFavoritesDir;
import com.yutou.tools.mybatis.model.MusicFavoritesDirExample;
import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
@Mapper
public interface MusicFavoritesDirDao {
    long countByExample(MusicFavoritesDirExample example);

    int deleteByExample(MusicFavoritesDirExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(MusicFavoritesDir record);

    int insertSelective(MusicFavoritesDir record);

    List<MusicFavoritesDir> selectByExample(MusicFavoritesDirExample example);

    MusicFavoritesDir selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") MusicFavoritesDir record, @Param("example") MusicFavoritesDirExample example);

    int updateByExample(@Param("record") MusicFavoritesDir record, @Param("example") MusicFavoritesDirExample example);

    int updateByPrimaryKeySelective(MusicFavoritesDir record);

    int updateByPrimaryKey(MusicFavoritesDir record);
}